* {
	padding: 0;
	margin: 0;
	box-sizing: border-box;
	position: relative;
}
body {
	/* cursor: none; */
}

.container {
	display: grid;
	grid-template-columns: 3vw 90vw 3vw;
	grid-template-rows: 10vh auto 5vh;
	gap: 1rem;
	grid-template-areas:
		"header header header"
		". main ."
		"footer footer footer";
}
.main {
	grid-area: main;
	background-color: rgb(48, 175, 154);
	border: 3px solid red;
}
.main__inner {
	display: flex;
	height: 80vh;
}
.header {
	grid-area: header;
	background-color: rgb(206, 52, 52);
	display: flex;
	justify-content: flex-end;
	align-items: flex-end;
}
.bm {
	width: 30px;
	height: 3px;
	position: relative;
	background-color: rgb(29, 190, 69);
	cursor: pointer;
	display: block;
	margin: 30px;
	transition: 0.3s ease-in-out;
}
.bm::after,
.bm::before {
	content: "";
	position: absolute;
	width: 30px;
	height: 3px;
	background-color: rgb(29, 190, 69);
	transition: 0.4s 0.1s ease-in-out;
}
.bm::after {
	top: -10px;
}
.bm::before {
	bottom: -10px;
}

.bm.active ul {
	display: flex;
}
.bm ul {
	position: absolute;
	display: none;
	flex-direction: column;
	justify-content: start;
	align-items: center;
	bottom: -150px;
	right: 0px;
	background-color: #fff;
	padding: 30px;
}
.bm li {
	list-style: none;
	color: rgb(46, 21, 21);
	text-transform: uppercase;
}
.bm li:not(:last-child) {
	border-bottom: 3px solid #f28343;
}
.bm.active {
	background-color: transparent;
}
.bm.active::before {
	bottom: 0px;
	transform: rotate(225deg);
}
.bm.active::after {
	top: 0px;
	transform: rotate(-225deg);
}

.footer {
	grid-area: footer;
	background-color: rgb(31, 49, 153);
}

.mouse {
	display: flex;
	width: 10px;
	height: 10px;
	border-radius: 50%;

	position: absolute;
	z-index: 99999;
	background-color: #000;
}
